# Haunted!

## Share your base with a haunting spirit!

Summon a sinister Ghost or fearsome Wraith to prowl around your base or follow you and serve as a reminder of the non-life you live.

Your summoned spirit will automatically vanish during the day, only to return at night.

Can be configured to attack enemies and remain throughout the day.

## New

- 0.1.0 Initial release
- 0.1.1 Eliminated need to be close to the summoned spirit to dispel it.

## Configuration

### Summoning

- **Spirit to Summon**: Controls the type of Spirit to summon. Can be either Ghost or Wraith.
 
### Behavior

- ***Attack Enemies***: If enabled, the summoned Spirit actively attacks and attracts enemies. If disabled, the Spirit ignores and is ignored by enemies.
- ***Despawn in Day***: If enabled, the Spirit will automatically disappear in the day and return at night, and you cannot summon the Spirit during the day.
- **Patrol Radius**: The distance the Spirit will wander when set to stay in one area.

### Keys

- **Summon & Dispel Spirit**: Press this key to summon or dismiss the tamed Spirit. You can only have one Spirit active at a time.

### Utility

- **LogLevel**: Controls the level of information in the log.

Settings in ***italics*** are controlled by the server if installed there.

### In-game reconfiguration

You can use Configuration Manager (or similar) mod to change the configuration without exiting the game. You can force a configuration update from the chat window (press Enter) then type:

	/modname config

### Notes

- In passive mode, the Spirit will ignore and be ignored by other creatures. In attack mode, the Spirit will respond as a 'normal' undead (i.e., not attacking or being attacked by other undead)
- Summoned Spirits have immunity to fire and tolerance to smoke to minimize accidental damage around your base. Note that other AoE damage will affect them.
- Spirits will consume Wisps if you leave them lying about. It makes them less unhappy.
- You can kill a tame Spirit with the Butcher Knife.

### Compatibility issues & defects

- If you find a compatibility issue you can post it on NexusMods. Be sure to include the mod name and version you think may be incompatible.
- If you have a bug please report it on NexusMods. If you do post a bug report, please make sure to include the following:
    - Your version of this mod
    - What you were doing, or attempting to do when it happened
    - If it's repeatable - i.e., can you duplicate it?
    - The exact behavior you observed (or didn't observe)
    - If possible, post a capture of the log file with errors (errors always begin with this mod's name) on Discord


You can find all Neobotics released mods on: 
- Thunderstore: https://tinyurl.com/NeoboticsOnThunderstore 
- Nexus Mods: https://tinyurl.com/NeoboticsOnNexus

Your comments and feedback are always welcome. Post on NexusMods or Discord: https://discord.gg/hRfqDapR